%global enable_tests 1
%global srcname camel-case

Name:           nodejs-%{srcname}
Version:        1.2.0
Release:        3%{?dist}
Summary:        Camel case a string
License:        MIT
URL:            https://github.com/blakeembrey/camel-case
Source0:        https://github.com/blakeembrey/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(istanbul)
BuildRequires:  npm(sentence-case)
BuildRequires:  npm(upper-case)
BuildRequires:  npm(mocha)
%endif


%description
%{summary}.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json camel-case.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
istanbul-js cover mocha -- -R spec
%endif


%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.2.0-1
- Update to new version

* Mon Jul 13 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.2-1
- update to 1.1.2

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb  9 2015 Piotr Popieluch <piotr1212@gmail.com> - 1.1.1-1
- update to 1.1.1

* Sun Nov 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 1.0.2-1
- Initial package
